2018-12-19 00:23 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000101Branch 0.2.1-FINALFeature Requestpublic2016-11-23 10:26
ReporterQuix0r 
Assigned ToQuix0r 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000101: $_GET, $_POST kapseln
DescriptionAehnlich wie $_SESSION gekapselt wurde, so sollen nun auch $_GET und $_POST folgen.

Dabei sollen Konstruktionen, wie isset($_GET['foo']) oder empty($_GET['bar']) umgeschrieben werden auf einen simplen Funtionsaufruf.

Hier alle neuen Funktionen
REQUEST_GET() - Holt ein Element aus dem Array $_GET, oder im Fehlerfall null
REQUEST_GET_ARRAY() - Holt das gesamte Array $_GET
REQUEST_GET_COUNT() - Anzahl Eintraege in $_GET
REQUEST_POST() - Holt ein Element aus dem Array $_POST, oder im Fehlerfall null
REQUEST_POST_ARRAY() - Holt das gesamte Array $_POST
REQUEST_POST_COUNT() - Anzahl Eintraege in $_POST
REQUEST_ISSET_GET() - Fragt ab, ob ein Element im Array $_GET gesetzt ist: true/false
REQUEST_ISSET_POST() - Fragt ab, ob ein Element im Array $_POST gesetzt ist: true/false
REQUEST_UNSET_GET() - Element aus $_GET entfernen
REQUEST_UNSET_POST() - Element aus $_POST entfernen

Dies soll das Script weiter kapseln und fehlende Elemente noch einfacher Auffindbar machen.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000276

Quix0r (administrator)

u_uid sollte nach uid umgeschrieben werden. Bitte auch auf die Templates achten!

~0000277

Quix0r (administrator)

Last edited: 2009-02-28 21:38

Es sollte auch auf folgendes Ruecksicht genommen werden:

VORHER:
if (!isset($_GET['foo'])) $_GET['foo'] = "bar";

NACHHER
if (REQUEST_ISSET_GET('foo')) REQUEST_SET_GET('foo', "bar");

~0000278

Quix0r (administrator)

Konstruktionen wie REQUEST_ISSET_POST('ok') koennten umgeschrieben werden in IS_FORM_SENT(), dabei dient diese nur als "Wrapper" auf REQUEST_ISSET_POST('ok').

Das Element 'ok' wird ausschliesslich zum Ueberpruefen verwendet, ob ein Formular versendet wurde.

~0000280

Quix0r (administrator)

Bedingt durch die Massenumstellung gibt es noch folgende Konstruktionen, die fehlerhaft sind:

REQUEST_POST('foo')[$bar]

Die sollten wie folgt umgebaut werden:

REQUEST_POST('foo', $bar)

~0000281

Quix0r (administrator)

VORSICHT! family_name wurde nach family umbenannt!

~0000282

Quix0r (administrator)

Last edited: 2009-02-28 21:40

Konstruktionen wie ADMIN_SAVE_SETTINGS($_POST) koennten nach ADMIN_SAVE_SETTINGS_POST() umgeschrieben werden

~0000283

Quix0r (administrator)

Sollte mit Commit 769 alles umgeschrieben sein.

~0000763

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2009-02-28 18:10 Quix0r New Issue
2009-02-28 18:10 Quix0r Assigned To => Quix0r
2009-02-28 18:10 Quix0r Status new => assigned
2009-02-28 18:10 Quix0r Projection none => major rework
2009-02-28 18:10 Quix0r ETA none => < 1 day
2009-02-28 18:15 Quix0r Note Added: 0000276
2009-02-28 18:18 Quix0r Note Added: 0000277
2009-02-28 18:35 Quix0r Description Updated
2009-02-28 18:38 Quix0r Note Added: 0000278
2009-02-28 19:08 Quix0r Note Added: 0000280
2009-02-28 20:09 Quix0r Note Added: 0000281
2009-02-28 20:57 Quix0r Description Updated
2009-02-28 20:59 Quix0r Description Updated
2009-02-28 21:00 Quix0r Note Added: 0000282
2009-02-28 21:38 Quix0r Note Edited: 0000277
2009-02-28 21:40 Quix0r Note Edited: 0000282
2009-02-28 21:53 Quix0r Note Added: 0000283
2009-02-28 21:54 Quix0r Status assigned => resolved
2009-02-28 21:54 Quix0r Fixed in Version => 0.2.1-FINAL
2009-02-28 21:54 Quix0r Resolution open => fixed
2016-11-23 10:26 Quix0r Note Added: 0000763
2016-11-23 10:26 Quix0r Status resolved => closed
+Issue History